<!DOCTYPE html>
<html xmlns:th="http://www.thyleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Lista delle Guide</title>
<link th:href = "@{/css/bootstrap.min.css}" rel="stylesheet">
</head>
<body>

	<div class="container">
		<h2>Lista delle Guide</h2>
     	<table class="table table-responsive table-bordered table-striped">
     		<thead>
     			<tr>
     				<th style="width:20%" scope="col">Nome</th>
     				<th style="width:20%" scope="col">Cognome</th>
     				<th style="width:20%" scope="col">E-mail</th>
     				<th style="width:20%" scope="col">Nazionalita'</th>
     				<th style="width:10%" scope="col">Agenzia</th>
     				<th style="width:10%" scope="col">Anni di Esperienza</th>
     				<th style="width:100px" scope="col"></th>
     				<th style="width:100px" scope="col"></th>
     				<th style="width:100px" scope="col"></th>
     			</tr>
            </thead>
            <tbody>
                <tr th:each="guida : ${listaGuide}">
                    <td style='text-align:center;vertical-align:middle' th:text="${guida.nome}"></td>
                    <td style='text-align:center;vertical-align:middle' th:text="${guida.cognome}"></td>
                    <td style='text-align:center;vertical-align:middle' th:text="${guida.e_mail}"></td>
                    <td style='text-align:center;vertical-align:middle' th:text="${guida.nazionalita}"></td>
                    <td style='text-align:center;vertical-align:middle' th:text="${guida.agenzia}"></td>
                    <td style='text-align:center;vertical-align:middle' th:text="${guida.anni_esperienza}"></td>
                     
                    <td> <a href="#" th:href="@{|/utenti/guide/${guida.utente_id}|}">dettagli</a> </td>
                	<td> <a href="#" th:href="@{|/utenti/guide/modifica_guida/${guida.utente_id}|}">modifica</a> </td>
                	<td> <a href="#" th:href="@{|/utenti/guide/elimina_guida/${guida.utente_id}|}">elimina</a> </td>
                </tr>
 			</tbody>
        </table>
     </div>
     
     <br>
     <br>
     <br>
     
     
     
     <div class="container"> 	
     	
     	<h3>Crea una nuova Guida </h3>
     
		<form action="#" method="post" th:action="@{/utenti/guide}" th:object="${nuovaGuida}">
			<label> Nome</label> <br>
			<input type="text" th:field="*{nome}" required />
			<br>
			<label> Cognome</label>  <br>
			<input type="text" th:field="*{cognome}" required />
			<br>
			<label> E-mail</label> <br>
			<input type="text" th:field="*{e_mail}" required />
			<br>
			<label> Nazionalita'</label>  <br>
			<input type="text" th:field="*{nazionalita}"/>
			<br>
			<label> Agenzia</label>  <br>
			<input type="text" th:field="*{agenzia}"/>
			<br>
			<label> Anni di Esperienza</label>  <br>
			<input type="text" th:field="*{anni_esperienza}"/>
			<br>	
			<input type="submit" value="salva"/>
		</form>     
     </div>

</body>
</html>